# Contribution Guidelines

Thank you for choosing to contribute in PyCaret. There are a ton of great open-source projects out there, so we appreciate your interest in contributing to PyCaret. It is an open-source, low-code machine learning library in Python developed and open-sourced in April 2020 by Moez Ali <moez.ali@queensu.ca> and is now maintained by awesome community members just like you. In this documentation we will cover couple of ways you can contribute to this project.

## Documentation
There is always a room for improvement in documentation. We welcome all the pull requests to fix typo / improve grammar or semantic structuring of documents. Here are few documents you can work on:

- Official Tutorials: https://github.com/pycaret/pycaret/tree/master/tutorials
- README.md https://github.com/pycaret/pycaret/blob/master/README.md
- Functional Documentation / Docstrings: https://github.com/pycaret/pycaret/tree/master/pycaret

## Open Issues
If you would like to help in working on open issues. Lookout for following tags: `good first issue` `help wanted` `open for contribution`

## Medium Writers
If you are interested or have already written Medium story covering `PyCaret`. You can submit your story in a `markdown` format. Submit a PR to https://github.com/pycaret/pycaret/tree/master/resources. To convert medium stories into `markdown` format please download this chrome extension: https://chrome.google.com/webstore/detail/export-to-markdown/dodkihcbgpjblncjahodbnlgkkflliim

## Major Contribution
If you are willing to make major contribution you can always look out for the active sprint under `Projects` and discuss the proposal with sprint leader. Current active sprint is `2.2 - major refactoring`. This sprint is led by `Yard1`.

## What we currently need help on?
- Improving unit-test cases https://github.com/pycaret/pycaret/tree/master/pycaret/tests
- Major refactoring in `preprocess.py` to accomodate distributed processing
- Example Notebooks required. Send PR to https://github.com/pycaret/pycaret/tree/master/examples
